%define upstream_name    CGI-Application-Plugin-ErrorPage
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A simple error page plugin for CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(CGI::Application)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%{?perl_default_filter}

%description
This plugin provides a shortcut for the common need of returning a simple
error message to the user. 

You are encouraged to provide a template file so that the error messages
can be presented with a design consistent with the rest of your
application. 

A simple design is provided below to get to you started. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/CGI


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.210.0-11.mga8
+ Revision: 1493478
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.210.0-10.mga7
+ Revision: 1265989
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.210.0-9.mga6
+ Revision: 1023428
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.210.0-8.mga6
+ Revision: 969222
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 1.210.0-7.mga6
+ Revision: 864974
- Fix BRs

* Thu Dec 11 2014 sander85 <sander85> 1.210.0-6.mga5
+ Revision: 802666
- Fix BRs
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.210.0-5.mga5
+ Revision: 732915
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.210.0-4.mga5
+ Revision: 683631
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.210.0-3.mga4
+ Revision: 509376
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 363484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 31728
- mageia rebuild
- imported package perl-CGI-Application-Plugin-ErrorPage


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.210.0-1mdv2010.0
+ Revision: 405774
- rebuild using %%perl_convert_version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2010.0
+ Revision: 390324
- update to new version 1.21

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 307089
- import perl-CGI-Application-Plugin-ErrorPage


* Wed Nov 26 2008 cpan2dist 1.20-1mdv
- initial mdv release, generated with cpan2dist

